Kling Lip Sync API
curl --request POST \
--url https://api.acedata.cloud/kling/lip-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.acedata.cloud/kling/lip-sync"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.acedata.cloud/kling/lip-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "0c0b4d3a-2f1e-4a6b-9c2d-2b3c4d5e6f70",
"video_id": "895047463190134880",
"video_url": "https://cdn.acedata.cloud/bafb400e8a.mp4",
"duration": 5,
"state": "succeed"
}{
"code": "bad_request",
"detail": "one of video_id or video_url is required"
}{
"code": "authorization_missing"
}{
"code": "api_error"
}API Reference
Kling Lip Sync API
Kling Lip Sync
POST
/
kling
/
lip-sync
Kling Lip Sync API
curl --request POST \
--url https://api.acedata.cloud/kling/lip-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.acedata.cloud/kling/lip-sync"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.acedata.cloud/kling/lip-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "0c0b4d3a-2f1e-4a6b-9c2d-2b3c4d5e6f70",
"video_id": "895047463190134880",
"video_url": "https://cdn.acedata.cloud/bafb400e8a.mp4",
"duration": 5,
"state": "succeed"
}{
"code": "bad_request",
"detail": "one of video_id or video_url is required"
}{
"code": "authorization_missing"
}{
"code": "api_error"
}承認
API token from https://platform.acedata.cloud
ボディ
application/json
Kling Lip Sync Mode
利用可能なオプション:
audio2video, text2video Kling Lip Sync Video Id
Kling Lip Sync Video Url
Kling Lip Sync Audio Url
Kling Lip Sync Audio Type
利用可能なオプション:
url, file Kling Lip Sync Audio File
Kling Lip Sync Text
Maximum string length:
120Kling Lip Sync Voice Id
Kling Lip Sync Voice Language
利用可能なオプション:
zh, en Kling Lip Sync Voice Speed
必須範囲:
0.8 <= x <= 2Kling Lip Sync Callback Url
Kling Lip Sync Async
レスポンス
Kling Lip Sync Response 200
The response is of type object.

